# Ogre::StaticGeometry::QueuedSubMesh Struct Reference

Structure recording a queued submesh for the build. More...

`#include <OgreStaticGeometry.h>`

List of all members.

## Public Attributes

SubMesh * | submesh
SubMeshLodGeometryLinkList * | geometryLodList
| Link to LOD list of geometry, potentially optimised.
String | materialName
Vector3 | position
Quaternion | orientation
Vector3 | scale
AxisAlignedBox | worldBounds
| Pre-transformed world AABB.

## Detailed Description

Structure recording a queued submesh for the build.

Definition at line 151 of file OgreStaticGeometry.h.

## Member Data Documentation

SubMesh* Ogre::StaticGeometry::QueuedSubMesh::submesh

Definition at line 153 of file OgreStaticGeometry.h.

SubMeshLodGeometryLinkList* Ogre::StaticGeometry::QueuedSubMesh::geometryLodList

Link to LOD list of geometry, potentially optimised.

Definition at line 155 of file OgreStaticGeometry.h.

String Ogre::StaticGeometry::QueuedSubMesh::materialName

Definition at line 156 of file OgreStaticGeometry.h.

Vector3 Ogre::StaticGeometry::QueuedSubMesh::position

Definition at line 157 of file OgreStaticGeometry.h.

Quaternion Ogre::StaticGeometry::QueuedSubMesh::orientation

Definition at line 158 of file OgreStaticGeometry.h.

Vector3 Ogre::StaticGeometry::QueuedSubMesh::scale

Definition at line 159 of file OgreStaticGeometry.h.

AxisAlignedBox Ogre::StaticGeometry::QueuedSubMesh::worldBounds

Pre-transformed world AABB.

Definition at line 161 of file OgreStaticGeometry.h.

The documentation for this struct was generated from the following file:

- OgreStaticGeometry.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:30:19 2008